<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Transtypage bool&eacute;en</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
  echo "--- Conversion en bool&eacute;en de valeurs fausses ---".WEB_EOL;
 // cas d'un entier
 $i=0;
 echo '$i='.$i.WEB_EOL;
 var_dump($i);
 echo WEB_EOL;
 $bi=(boolean) $i;
 if ($bi) echo '$bi=vrai'.WEB_EOL; else echo '$bi=faux'.WEB_EOL;
 var_dump($bi);
 echo WEB_EOL;
 // cas d'un r&eacute;el
 $x=0.0; 
 echo '$x='.$x.WEB_EOL;
 var_dump($x);
 echo WEB_EOL;
 $bx=(boolean) $x;
 if ($bx) echo '$bx=vrai'.WEB_EOL; else echo '$bx=faux'.WEB_EOL;
 var_dump($bx);
 echo WEB_EOL;
 // cas d'une chaîne
 // contenant "0"
 $ch="0"; 
 echo '$ch='.$ch.WEB_EOL;
 var_dump($ch);
 echo WEB_EOL;
 $bch=(boolean) $ch;
 if ($bch) echo '$bch=vrai'.WEB_EOL; else echo '$bch=faux'.WEB_EOL;
 var_dump($bch);
 echo WEB_EOL;
  // contenant vide
 $ch=""; 
 echo '$ch='.$ch.WEB_EOL;
 var_dump($ch);
 echo WEB_EOL;
 $bch=(boolean) $ch;
 if ($bch) echo '$bch=vrai'.WEB_EOL; else echo '$bch=faux'.WEB_EOL;
 var_dump($bch);
 echo WEB_EOL;
 // cas d'un type non d&eacute;fini NULL
 $n=NULL;
 echo '$n='.$n.WEB_EOL;
 var_dump($n);
 echo WEB_EOL;
 $bn=(boolean) $n;
 if ($bn) echo '$bn=vrai'.WEB_EOL; else echo '$bn=faux'.WEB_EOL;
 var_dump($bn);
 echo WEB_EOL;

 // cas d'un tableau vide
 $tableau = [];
 var_dump($tableau);
 echo WEB_EOL;
 $btableau=(boolean) $tableau;
 if ($btableau) echo '$btableau=vrai'.WEB_EOL; else echo '$btableau=faux'.WEB_EOL;
 var_dump($btableau);
 echo WEB_EOL;

 echo "--- Conversion en bool&eacute;en de valeurs vraies ---".WEB_EOL;
 // cas d'un entier
 $i=-18;
 echo '$i='.$i.WEB_EOL;
 var_dump($i);
 echo WEB_EOL;
 $bi=(boolean) $i;
 if ($bi) echo '$bi=vrai'.WEB_EOL; else echo '$bi=faux'.WEB_EOL;
 var_dump($bi);
 echo WEB_EOL;
 // cas d'un r&eacute;el
 $x=-18.0; 
 echo '$x='.$x.WEB_EOL;
 var_dump($x);
 echo WEB_EOL;
 $bx=(boolean) $x;
 if ($bx) echo '$bx=vrai'.WEB_EOL; else echo '$bx=faux'.WEB_EOL;
 var_dump($bx);
 echo WEB_EOL;
 // cas d'une chaîne
 // contenant "0"
 $ch="-18"; 
 echo '$ch='.$ch.WEB_EOL;
 var_dump($ch);
 echo WEB_EOL;
 $bch=(boolean) $ch;
 if ($bch) echo '$bch=vrai'.WEB_EOL; else echo '$bch=faux'.WEB_EOL;
 var_dump($bch);
 echo WEB_EOL;

 // cas d'un tableau nonvide
 $tableau = ["val1"];
 var_dump($tableau);
 echo WEB_EOL;
 $btableau=(boolean) $tableau;
 if ($btableau) echo '$btableau=vrai'.WEB_EOL; else echo '$btableau=faux'.WEB_EOL;
 var_dump($btableau);
 echo WEB_EOL;
 ?>
 </body>
</html>
